"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const asyncIterable_1 = require("../utils/asyncIterable");
function take(source, count) {
    if (count < 0) {
        throw Error('Negative count is not supported, use await and sync iterator instead.');
    }
    return asyncIterable_1.asyncIterable(function () {
        return tslib_1.__asyncGenerator(this, arguments, function* () {
            var e_1, _a;
            let n = count;
            try {
                for (var source_1 = tslib_1.__asyncValues(source), source_1_1; source_1_1 = yield tslib_1.__await(source_1.next()), !source_1_1.done;) {
                    const element = source_1_1.value;
                    if (n-- === 0)
                        return yield tslib_1.__await(void 0);
                    yield yield tslib_1.__await(yield tslib_1.__await(element));
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (source_1_1 && !source_1_1.done && (_a = source_1.return)) yield tslib_1.__await(_a.call(source_1));
                }
                finally { if (e_1) throw e_1.error; }
            }
        });
    });
}
exports.take = take;

//# sourceMappingURL=take.js.map
