import { AsyncIterableQuery } from './AsyncIterableQuery';
export interface AsyncIterableFilter<T> extends AsyncIterable<T> {
    filter(predicate: (element: T, index: number) => boolean): AsyncIterableQuery<T>;
    take(count: number): AsyncIterableQuery<T>;
    skip(count: number): AsyncIterableQuery<T>;
    slice(): AsyncIterableQuery<T>;
    slice(start: number): AsyncIterableQuery<T>;
    slice(start: number, end: number): AsyncIterableQuery<T>;
}
