export interface AsyncIterablePredicate<T> extends AsyncIterable<T> {
    every(predicate: (element: T, index: number) => boolean): Promise<boolean>;
    some(predicate: (element: T, index: number) => boolean): Promise<boolean>;
    includes(element: T): Promise<boolean>;
    includes(element: T, fromIndex?: number): Promise<boolean>;
}
