import { AsyncIterableQuery } from './AsyncIterableQuery';
export interface AsyncIterableTransformation<T> extends AsyncIterable<T> {
    map<S>(selector: (element: T, index: number) => S): AsyncIterableQuery<S>;
    flat<S>(selector: (element: T, index: number) => AsyncIterable<S>): AsyncIterable<S>;
    flat<S>(): AsyncIterableQuery<S>;
}
